Subject: Re: [PATCH] submodule add: show 'add --dry-run' stderr when aborting

From: Kyle Meyer <[email-masked]>
Date: Thu, 09 Jan 2020 02:39:25 +0000

Josh Steadmon <[email-masked]> writes:

> On 2020.01.07 19:31, Kyle Meyer wrote:
[...]
>> +test_expect_success 'submodule add relays add --dry-run stderr' '
>> +	test_when_finished "rm -rf addtest/.git/index.lock" &&
>> +	(
>> +		cd addtest &&
>> +		: >.git/index.lock &&
[...]
> I had to look up what ":" does, but it looks like it's reasonably widely
> used in other tests so that seems fine. However, it looks like you don't
> even need the : command and can just ">.git/index.lock" by itself (see
> the "setup - initial commit" test case in this file for an example).

Indeed.  I spot some recent commits that added new instances of ": >",
so I suspect it's not strongly discouraged in this project, but I'm not
particularly attached to the unneeded colon :>

> Looks good to me. Thanks for the patch!

Thanks for the review!